﻿		
		face.colorize = preferences.backColor.value;
		face.opacity = preferences.faceOpacity.value;
		qtext.color = preferences.textColorPref.value;
		updateBehavior();
		
		function r (degs) {return degs*Math.PI/180;}
		
		function deg (rads) {return rads*180/Math.PI;}
		
		function updateBehavior()
		{
			var lk = 39.823333;
			var pk = 21.423333;
			var q;
			
			l=Math.floor(preferences.lon.value) +preferences.lon_min.value/60 ; if (preferences.EW.value == 'Western') {l*=-1;}
			p=Math.floor(preferences.lat.value) +preferences.lat_min.value/60 ; if (preferences.NS.value == 'Southern') {p*=-1;}
			q = Math.atan2(Math.sin(r(lk -l)),((Math.cos(r(p))*Math.tan(r(pk))) -Math.sin(r(p))*Math.cos(r(lk - l))));
			if(q<0)
			{	
				qibla = Math.ceil(deg(q));
				min = Math.round((deg(q) % qibla)*60);
				qpointer.rotation =360+deg(q);
				qtext.data ="Qibla: "+Math.abs(qibla)+"°"+Math.abs(min)+"' W of N";
			}
			if(q>0)
			{
				qibla = Math.floor(deg(q));
				min = Math.round((deg(q) % qibla)*60);
				qpointer.rotation =deg(q);
				qtext.data ="Qibla: "+Math.abs(qibla)+"°"+Math.abs(min)+"' E of N";
			}
			
			
			
		}
		
		